LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
06997Bug reports[All Projects] Survey takingpublic2012-11-30 14:432012-12-04 13:16
Reportermfs 
Assigned ToDenisChenu 
PriorityurgentSeveritymajor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary06997: Zero values in Array (Numbers) disappear
DescriptionWhen using a numerical matrix (type: Array (Numbers)), zero values will not persist. If you enter a zero value in any of the input fields, this value will have vanished when you return from some other question group, or when you reload after a save.

This is especially annoying for large matrixes, where a lot of the values may be perfectly valid zeroes. If this question is mandatory, you will have to fill in the vanished zeroes over and over again.
Steps To Reproducecf. attached demo
Additional InformationThe value stored in the responses db is 0. Obviously, the error happens when restoring the input field from the db.

Behaviour discovered in builds since 121115 (first use of limesurvey), but probably existing in earlier builds. Currently using build 121127 with patches from issue 06980 (Numerical input strips zeros). I suspected issue 06980 to be the same as this issue, but the fix doesn't help here.
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID121127
BrowserFirefox 16, IE8
Database & DB-VersionMySQL 14.12 distr 5.0.95
Operating System (Server)Linux/SUSE SLES 11, SP2 (32 bit)
Webserver software & versionApache/2.2.12
PHP Version5.2.14
Attached Files? file icon vanishing0.lss [^] (16,072 bytes) 2012-11-30 14:43

- Relationships

-  Notes
User avatar (22750)
DenisChenu (developer)
2012-11-30 16:36

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10624 [^]
User avatar (22751)
mfs (reporter)
2012-11-30 16:43

While glancing over the fix, I found this line. Is this a typo?

     5631 + $answertypeclass .=" mumeric-item text";

Note the "mumeric"!
User avatar (22752)
DenisChenu (developer)
2012-11-30 16:51

You're right, but before not existing :)
User avatar (22760)
DenisChenu (developer)
2012-11-30 17:45

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10631 [^]
User avatar (22817)
mfs (reporter)
2012-12-03 10:14

I can confirm the bug is fixed (I locally corrected the "mumeric" issue without uploading a patch).
User avatar (22818)
DenisChenu (developer)
2012-12-03 10:26

Thanks,

mumeric was fixed just after : https://github.com/LimeSurvey/LimeSurvey/commit/4b4ac9af272cc2fc4f27598be688cdb89dca465b [^]
User avatar (22848)
c_schmitz (administrator)
2012-12-04 13:16

LimeSurvey 2.0+ build 121204 released.

- Related Changesets
LimeSurvey: master 7dc880a8
Timestamp: 2012-11-30 15:34:18
Author: DenisChenu
Committer: Denis Chenu
Details ] Diff ]
Fixed issue 06997: Zero values in Array (Numbers) (attribute input_boxes) disappear
Dev: review some style
mod - application/helpers/qanda_helper.php Diff ] File ]
LimeSurvey: 2.1 c026dae0
Timestamp: 2012-11-30 16:43:21
Author: DenisChenu
Committer: Denis Chenu
Details ] Diff ]
Fixed issue 06997: Zero values in Array (Numbers) (inout box layout) disappear
Dev: reviewing some include class
mod - application/modules/NumberArrayQuestion.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-11-30 14:43 mfs New Issue
2012-11-30 14:43 mfs File Added: vanishing0.lss
2012-11-30 16:36 DenisChenu Changeset attached => LimeSurvey master 7dc880a8
2012-11-30 16:36 DenisChenu Note Added: 22750
2012-11-30 16:36 DenisChenu Assigned To => DenisChenu
2012-11-30 16:36 DenisChenu Resolution open => fixed
2012-11-30 16:43 mfs Note Added: 22751
2012-11-30 16:51 DenisChenu Note Added: 22752
2012-11-30 17:45 DenisChenu Changeset attached => LimeSurvey 2.1 c026dae0
2012-11-30 17:45 DenisChenu Note Added: 22760
2012-11-30 17:45 DenisChenu Status new => resolved
2012-11-30 17:45 DenisChenu Fixed in Version => 2.00+
2012-12-03 10:14 mfs Note Added: 22817
2012-12-03 10:26 DenisChenu Note Added: 22818
2012-12-04 13:16 c_schmitz Note Added: 22848
2012-12-04 13:16 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker